package server

import (
	"fmt"
	"time"
)

type Config struct {
	AppID      string
	AppName    string
	NetAddr    string
	PathPrefix string

	IdleTimeout  time.Duration // miliseconds
	ReadTimeout  time.Duration // miliseconds
	WriteTimeout time.Duration // miliseconds
}

func (c *Config) GetAppFullName() string {
	return fmt.Sprintf("%s_%s", c.AppName, c.AppID)
}
